body{
    font-family: Arial;
    margin: 0;
    background-color: #f1f1f1;
}
html{
    scroll-behavior: smooth;
}

header{
    background-color: #ffffff;
    padding: 30px 40px 40px 40px;
}

header h1{
    text-align: center;
    font-size: 60px;
    color: #000000;
    margin: 1.5 0px;

}

.site-main{
    padding: 0px 20px;
}

.left-column{
    float: left;
    width: 75%;
}
*{
    box-sizing: border-box;
}
.right-column{
    width: 25%;
    float: right;
    padding-left: 20px;

}
h2{
    color: #000;
    margin: 1.5 0px;
}

.card{
    padding: 20px;
    background-color: #fff;
    margin-top: 20px;
}

.card img{
    width: 100%;
}

.right-column .card img{
    margin-bottom: 15px;
    border-radius: 3px;
}

/* responsive */
@media screen and (max-width: 700px){
    .left-column, .right-column{
        width: 100%; 
    }

    .footer{
        margin-top: 30px;
    }
    .right-column{
        padding-left: 0;
    }
    .left-column img{
        width: 100%;
    }
}

/* customizing */
.right-column .card p{
    text-align: justify;
    font-size: 15px;
    
}

.right-column .card h2, h3{
    margin-bottom: 15px;
}

.site-main .right-column .fa{
    font-size: 22px;
    width: 35px;
    height:35px;
    text-align: center;
    text-decoration: none;
    transition: color 0.3s ease;
}
.site-main .blog .fa:hover{
    color: var(--primary-color2);
}

.site-main .blog .fa-linkedin{
    color: #007bb6;
}

.site-main .blog .fa-facebook-f{
    color:#3b5998;
}

.site-main .blog .fa-github{
    color: #444444;
}

.site-main .blog .fa-twitter{
    color: #55acee;
}

.site-main .blog .fa-envelope{
    color: #dd4839;
}

.right-column a{
    display: inline-block;
    width: 35px;
    height: 35px;
    transition: transform 0.3s ease-in-out;
}

.footer{
    margin-top: 20px;
}


/* blog section */
.blog p{
    font-size: 16px;
}

.blog .text{
    padding-top: 20px;
    text-align: justify;
}

.left-column p{
    font-size: 15px;
    color: #444;
}

.left-column img{
    width: 90%;
    align-self: center;
}

.blog h5{
    font-weight: 400;
    font-size: 16px;
    color: #444;
    padding-bottom: 15px;
    
}

.left-column h3{
    margin-top: 15px;
    margin-bottom: 10px;
}

.blog-post a{
    text-decoration: none;
    color: dodgerblue;
    font-weight: 500;
    position: relative;
}

.popular a{
    width: 100%;
    height: auto;
    display: block;
}

.popular img{
    width: 100%;
}